btllib::CString Struct Reference

## Public Member Functions

| CString (const CString &cstring)
| CString (CString &&cstring) noexcept
| CString (const std::string &str)
CString & | operator= (const CString &cstring)
CString & | operator= (CString &&cstring) noexcept
CString & | operator= (const std::string &str)
void | clear ()
bool | empty () const
size_t | size () const
| operator char * () const

## Public Attributes

char * | s = (char*)std::malloc(CSTRING_DEFAULT_CAP)
size_t | s_size = 0
size_t | s_cap = CSTRING_DEFAULT_CAP

## Static Public Attributes

static const size_t | CSTRING_DEFAULT_CAP = 4096

The documentation for this struct was generated from the following file:

- include/btllib/cstring.hpp